# README #

## Projeto de Demonstração MQL e FastAPI - Parte 3

### Visão Geral
Este projeto, apresentado na terceira parte de nossa série de artigos, demonstra a capacidade do MQL de integrar-se com tecnologias modernas como FastAPI. Ele enfoca a melhoria contínua de um módulo de requisições MQL e um jogo de Jogo da Velha com uma API em FastAPI.

### Novidades
- **Módulo de Requisições MQL**: Implementamos um parâmetro de debug e outras melhorias.
- **Jogo da Velha com API**: Incluímos jogadas automáticas e aprimoramos a API.

### Instalação e Execução (Windows)

#### Pré-requisitos
- Python 3.6 ou superior.
- MetaTrader 5.

#### Passos
1. **Instalar Dependências**: 
   - Abra um terminal (Prompt de Comando ou PowerShell).
   - Navegue até a pasta do projeto.
   - Execute `pip install -r requirements.txt`.
2. **Executar a API**: 
   - No terminal, execute `python AppTicTacToe.py`.
   - A API estará disponível em `localhost:8000`.

#### Acessando o Swagger UI
- Após iniciar a API, acesse `localhost:8000/docs` no seu navegador para abrir o Swagger UI. Aqui, você pode visualizar e interagir com os endpoints da API.

### Disponibilidade do Projeto
- O projeto e mais detalhes sobre ele estão disponíveis no artigo associado a esta série.

### Conclusão
Este projeto ilustra a integração eficaz entre o MQL e as tecnologias web modernas, fornecendo um exemplo prático e valioso para desenvolvedores interessados na área.

#####################################################################################################################################################################################
#                                                                                                                                                                                   #
#                                                                                                                                                                                   #
#####################################################################################################################################################################################

# README #

## MQL and FastAPI Demonstration Project - Part 3

### Overview
Presented in the third part of our article series, this project demonstrates the power of MQL in integrating with modern technologies like FastAPI. It focuses on the continuous improvement of an MQL request module and a Tic-Tac-Toe game with a FastAPI-based API.

### What's New
- **MQL Request Module**: Enhanced with a debug parameter and other improvements.
- **Tic-Tac-Toe Game with API**: Added automatic moves and enhanced the API.

### Installation and Running (Windows)

#### Prerequisites
- Python 3.6 or higher.
- MetaTrader 5.

#### Steps
1. **Install Dependencies**:
   - Open a terminal (Command Prompt or PowerShell).
   - Navigate to the project folder.
   - Run `pip install -r requirements.txt`.
2. **Run the API**:
   - In the terminal, run `python AppTicTacToe.py`.
   - The API will be available at `localhost:8000`.

#### Accessing Swagger UI
- After starting the API, go to `localhost:8000/docs` in your browser to open the Swagger UI, where you can view and interact with the API's endpoints.

### Project Availability
- The project and more details about it are available in the associated article for this series.

### Conclusion
This project showcases effective integration between MQL and modern web technologies, providing a practical and valuable example for developers interested in this field.